Subject: FAL fetches storages twice on every BE request

Description

FAL fetches the storages twice on every request.
1SELECT COUNT(uid) FROM sys_file_storage WHERE 1=1;

2SELECT * FROM sys_file_storage WHERE 1=1 AND sys_file_storage.hidden=0 AND sys_file_storage.deleted=0;

StorageRepository->findAll() tries to detect if there's ever been a storage, and if not so it creates one for /fileadmin.

Maybe this can be optimized somehow to have only one DB access.

Related issues:
related to Core - Story # 54266: As an User | want FAL to be performant

New

2013-11-16

2013-12-31

History

#1 - 2013-11-17 10:18 - Alexander Opitz

Hi Markus,

as this doesn't happen on fully cached frontend requests, can you write down what types of requests this happen?

#2 - 2013-11-18 10:31 - Markus Klein

Yes looks like this only happens in the BE.

#3 - 2013-11-18 18:49 - Markus Klein

- Subject changed from FAL fetches storages twice on every request to FAL fetches storages twice on every BE request

#4 - 2013-11-20 01:28 - Philipp Gampe

IMHO this magic create storage stuff should be moved to the install tool as an upgrade wizard.

#5 - 2013-12-02 15:33 - Markus Klein
- Parent task set to #52949
#6 - 2014-01-31 14:21 - Ingo Schmitt
- Status changed from New to Resolved

Was fixed by issue #55186
